curl --request POST \
--url https://abdm.dev.unimetacare.com/api/m1/abha/aadhar/login/abha-address/fetch/profile \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"token": "<string>"
}
'{
"success": true,
"message": "<string>",
"data": {
"abhaAddress": "<string>",
"fullName": "<string>",
"profilePhoto": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"dateOfBirth": "<string>",
"gender": "<string>",
"mobile": "<string>",
"abhaNumber": "<string>",
"address": "<string>",
"stateName": "<string>",
"districtName": "<string>",
"pinCode": "<string>",
"authMethods": [
"<string>"
],
"status": "<string>",
"kycStatus": "<string>"
}
}Fetch the ABHA address profile using the session token from the verify-otp step.
curl --request POST \
--url https://abdm.dev.unimetacare.com/api/m1/abha/aadhar/login/abha-address/fetch/profile \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"token": "<string>"
}
'{
"success": true,
"message": "<string>",
"data": {
"abhaAddress": "<string>",
"fullName": "<string>",
"profilePhoto": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"dateOfBirth": "<string>",
"gender": "<string>",
"mobile": "<string>",
"abhaNumber": "<string>",
"address": "<string>",
"stateName": "<string>",
"districtName": "<string>",
"pinCode": "<string>",
"authMethods": [
"<string>"
],
"status": "<string>",
"kycStatus": "<string>"
}
}Was this page helpful?